You are not logged in.

#1 2020-07-09 19:22:44

chibo
Member
Registered: 2018-04-27
Posts: 45

mesa-vdp - could not satisfy dependencies

↪ sudo pacman -S mesa-vdpau vdpauinfo
warning: vdpauinfo-1.4-1 is up to date -- reinstalling
resolving dependencies...
looking for conflicting packages...
:: mesa-vdpau and mesa-git are in conflict. Remove mesa-git? [y/N] y
error: failed to prepare transaction (could not satisfy dependencies)
:: removing mesa-git breaks dependency 'mesa' required by gst-plugins-base-libs
:: removing mesa-git breaks dependency 'mesa' required by gtk3
:: removing mesa-git breaks dependency 'mesa-git' required by lib32-mesa-git
:: removing mesa-git breaks dependency 'mesa' required by libglvnd
:: removing mesa-git breaks dependency 'mesa' required by qt5-base
:: removing mesa-git breaks dependency 'mesa' required by rocclr
:: removing mesa-git breaks dependency 'mesa' required by xf86-video-amdgpu-git

how to deal with this hell ???

Offline

#2 2020-07-09 19:25:36

chibo
Member
Registered: 2018-04-27
Posts: 45

Re: mesa-vdp - could not satisfy dependencies

go to mesa instead mesa-git first, then go mesa-vdpau, hope my free open radeon finally would be less useless then fnuvuduia

Offline

#3 2020-07-10 14:41:16

Lone_Wolf
Member
From: Netherlands, Europe
Registered: 2005-10-04
Posts: 8,276

Re: mesa-vdp - could not satisfy dependencies

Chibo, were you using my aur mesa-git package ?

If so, the functionality from mesa-vdpau was already present* in mesa-git , all you had to do was install vdpauinfo .

* my mesa-git aur package combines the functionality of official mesa, libva-mesa-driver, mesa-vdpau, opencl-mesa, vulkan-intel, vulkan-mesa-layer and vulkan-radeon in one package .
It also provides opencl-driver, opengl-driver and vulkan-driver in that same package.


Multi-init booting with apg Openrc and systemd coexisting
Automounting : not needed, i prefer pmount
Aur helpers : makepkg + my own local repo === rarely need them

Offline

#4 2020-07-20 21:21:51

chibo
Member
Registered: 2018-04-27
Posts: 45

Re: mesa-vdp - could not satisfy dependencies

Lone_Wolf wrote:

Chibo, were you using my aur mesa-git package ?

If so, the functionality from mesa-vdpau was already present* in mesa-git , all you had to do was install vdpauinfo .

* my mesa-git aur package combines the functionality of official mesa, libva-mesa-driver, mesa-vdpau, opencl-mesa, vulkan-intel, vulkan-mesa-layer and vulkan-radeon in one package .
It also provides opencl-driver, opengl-driver and vulkan-driver in that same package.


i just want that GPU acceleration happen on my OPEN SOURCE system with brand new 5700XT

fnvidia just works, meanwhile on the red corner i can't build ROCM, can't use acceleration for kdenlive, ffmpeg, for tf, keras or even torch - it is so freaking frustrating....

Offline

Board footer

Powered by FluxBB